<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Block settings
 *
 * @package    block_bcln_reminder
 * @copyright  2017 BCLN
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */
defined('MOODLE_INTERNAL') || die;

if ($ADMIN->fulltree) {
    $settings->add(new admin_setting_configtextarea('block_bcln_reminder/defaulttemplateactivity',
                    get_string('templateactivity', 'block_bcln_reminder'),
                    get_string('configtemplateactivity', 'block_bcln_reminder'),
                    get_string('configtemplateactivitydefault', 'block_bcln_reminder')));
    $settings->add(new admin_setting_configtextarea('block_bcln_reminder/defaulttemplatelogin',
                    get_string('templatelogin', 'block_bcln_reminder'),
                    get_string('configtemplatelogin', 'block_bcln_reminder'),
                    get_string('configtemplatelogindefault', 'block_bcln_reminder')));
}
